function::linuxmib_filter_key
Prev | Chapter 15. SNMP Information Tapset | Next

## Name

function::linuxmib_filter_key — Default filter function for linuxmib.* probes

## Synopsis

        linuxmib_filter_key:long(sk:long,op:long)

## Arguments

`sk`

  pointer to the struct sock

`op`

  value to be counted if `sk` passes the filter

## Description

This function is a default filter function. The user can replace this function with their own. The user-supplied filter function returns an index key based on the values in `sk`. A return value of 0 means this particular `sk` should be not be counted.

Prev | Up | Next
function::ipmib_tcp_remote_port | Home | function::tcpmib_filter_key